-- MySQL dump 10.13  Distrib 5.7.43, for Linux (x86_64)
--
-- Host: localhost    Database: 15_71jc_cn
-- ------------------------------------------------------
-- Server version	5.7.43-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `authorization`
--

DROP TABLE IF EXISTS `authorization`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `authorization` (
  `id` int(11) NOT NULL,
  `del` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `authorization`
--

LOCK TABLES `authorization` WRITE;
/*!40000 ALTER TABLE `authorization` DISABLE KEYS */;
/*!40000 ALTER TABLE `authorization` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `manager`
--

DROP TABLE IF EXISTS `manager`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `manager` (
  `id` int(11) NOT NULL,
  `account` varchar(255) DEFAULT NULL,
  `pwd` varchar(255) DEFAULT NULL,
  `del` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `manager`
--

LOCK TABLES `manager` WRITE;
/*!40000 ALTER TABLE `manager` DISABLE KEYS */;
INSERT INTO `manager` VALUES (1,'admin','123456',0),(2,'ceshi','123456',0);
/*!40000 ALTER TABLE `manager` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_auth`
--

DROP TABLE IF EXISTS `sk_auth`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_auth` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uuid` varchar(255) DEFAULT NULL COMMENT '临时UUID',
  `share_id` int(11) NOT NULL COMMENT '分享ID',
  `openid` varchar(255) DEFAULT NULL COMMENT '微信openid',
  `userid` int(11) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '时间',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '状态 0 未扫码 1扫码成功',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=423 DEFAULT CHARSET=utf8 COMMENT='扫码登录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_auth`
--

LOCK TABLES `sk_auth` WRITE;
/*!40000 ALTER TABLE `sk_auth` DISABLE KEYS */;
INSERT INTO `sk_auth` VALUES (422,'676db790cd7d5388d97622b30622eef4',0,'',0,1685751331,0);
/*!40000 ALTER TABLE `sk_auth` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_certify`
--

DROP TABLE IF EXISTS `sk_certify`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_certify` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '实名用户',
  `name` varchar(60) DEFAULT NULL COMMENT '姓名',
  `idcard` varchar(18) DEFAULT NULL COMMENT '身份证号码',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '提交时间',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '实名状态',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='实名认证表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_certify`
--

LOCK TABLES `sk_certify` WRITE;
/*!40000 ALTER TABLE `sk_certify` DISABLE KEYS */;
/*!40000 ALTER TABLE `sk_certify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_folders`
--

DROP TABLE IF EXISTS `sk_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_folders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '目录所有人',
  `shares_id` int(11) NOT NULL DEFAULT '0' COMMENT '分享id',
  `folder_name` text NOT NULL COMMENT '目录名称',
  `parent_folder` int(11) NOT NULL DEFAULT '0' COMMENT '上级目录',
  `desc` text COMMENT '描述',
  `size` int(11) NOT NULL DEFAULT '0',
  `ext` int(11) NOT NULL DEFAULT '755',
  `count_down` int(11) NOT NULL DEFAULT '0' COMMENT '下载统计',
  `count_open` int(11) NOT NULL DEFAULT '0' COMMENT '浏览统计',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `update_time` int(11) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `delete_time` int(11) DEFAULT NULL COMMENT '软删除',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=33 DEFAULT CHARSET=utf8 COMMENT='文件夹';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_folders`
--

LOCK TABLES `sk_folders` WRITE;
/*!40000 ALTER TABLE `sk_folders` DISABLE KEYS */;
INSERT INTO `sk_folders` VALUES (1,2,0,'根目录',0,NULL,0,755,0,0,1658115118,0,NULL),(2,2,122,'其他源码',1,'',0,755,0,0,1658281874,1658281874,NULL),(3,2,123,'小程序源码',1,'',0,755,0,3,1658282367,1658629440,NULL),(4,2,124,'支付源码',1,'',0,755,0,3,1658284417,1658284782,NULL),(5,2,125,'影视音乐源码',1,'',0,755,0,0,1658284810,1658284810,NULL),(6,2,126,'金融理财',1,'',0,755,0,0,1658284822,1658284822,NULL),(7,2,127,'HTML源码',1,'',0,755,0,0,1658284833,1658284833,NULL),(8,2,128,'博客论坛',1,'',0,755,0,0,1658284841,1658284841,NULL),(9,2,129,'企业源码',1,'',0,755,0,0,1658284847,1658284847,NULL),(10,2,130,'交友直播源码',1,'',0,755,0,0,1658284855,1658284855,NULL),(11,2,131,'商城源码',1,'',0,755,0,0,1658284864,1658284864,NULL),(12,2,132,'图片小说源码',1,'',0,755,0,0,1658284870,1658284870,NULL),(13,2,133,'H5源码',1,'',0,755,0,2,1658284876,1658284876,NULL),(14,3,0,'根目录',0,NULL,0,755,0,0,1658401835,0,NULL),(15,4,0,'根目录',0,NULL,0,755,0,0,1658422579,0,NULL),(16,5,0,'根目录',0,NULL,0,755,0,0,1658453083,0,NULL),(17,6,0,'根目录',0,NULL,0,755,0,0,1658502295,0,NULL),(18,7,0,'根目录',0,NULL,0,755,0,0,1658552134,0,NULL),(19,8,0,'根目录',0,NULL,0,755,0,0,1658569411,0,NULL),(20,9,0,'根目录',0,NULL,0,755,0,0,1658616714,0,NULL),(21,10,0,'根目录',0,NULL,0,755,0,0,1658854182,0,NULL),(22,11,0,'根目录',0,NULL,0,755,0,0,1658886916,0,NULL),(23,12,0,'根目录',0,NULL,0,755,0,0,1658887846,0,NULL),(24,13,0,'根目录',0,NULL,0,755,0,0,1659572810,0,NULL),(25,14,0,'根目录',0,NULL,0,755,0,0,1659667385,0,NULL),(26,15,0,'根目录',0,NULL,0,755,0,0,1659667638,0,NULL),(27,16,0,'根目录',0,NULL,0,755,0,0,1659667727,0,NULL),(28,17,0,'根目录',0,NULL,0,755,0,0,1659667868,0,NULL),(29,18,0,'根目录',0,NULL,0,755,0,0,1675175364,0,NULL),(30,19,0,'根目录',0,NULL,0,755,0,0,1675207914,0,NULL),(31,20,0,'根目录',0,NULL,0,755,0,0,1685751315,0,NULL),(32,21,0,'根目录',0,NULL,0,755,0,0,1741619464,0,NULL);
/*!40000 ALTER TABLE `sk_folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_groups`
--

DROP TABLE IF EXISTS `sk_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_name` varchar(120) DEFAULT '' COMMENT '用户组名称',
  `policy_id` int(11) NOT NULL DEFAULT '0' COMMENT '存储策略ID',
  `max_storage` bigint(20) NOT NULL DEFAULT '0' COMMENT '最大存储',
  `speed` varchar(20) DEFAULT NULL COMMENT '下载限速',
  `allow_share` tinyint(1) NOT NULL DEFAULT '0' COMMENT '允许分享',
  `is_sys` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否为系统用户组',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COMMENT='用户组';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_groups`
--

LOCK TABLES `sk_groups` WRITE;
/*!40000 ALTER TABLE `sk_groups` DISABLE KEYS */;
INSERT INTO `sk_groups` VALUES (1,'管理员',1,52428800,'',1,1),(2,'游客',1,0,'0',0,1),(3,'普通用户',1,10485760,'1',1,1),(4,'VIP用户',1,52428800,'',1,0);
/*!40000 ALTER TABLE `sk_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_order`
--

DROP TABLE IF EXISTS `sk_order`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_order` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '开通用户',
  `trade_no` varchar(40) NOT NULL DEFAULT '' COMMENT '订单号',
  `out_trade_no` varchar(40) NOT NULL DEFAULT '' COMMENT '易支付订单号',
  `type` varchar(20) NOT NULL DEFAULT '' COMMENT '支付方式',
  `profit_id` int(11) NOT NULL DEFAULT '0' COMMENT '收益链接ID',
  `money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '支付金额',
  `vip_day` int(11) NOT NULL DEFAULT '0' COMMENT 'VIP时长',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `pay_time` int(11) NOT NULL DEFAULT '0' COMMENT '支付时间',
  `status` tinyint(3) NOT NULL DEFAULT '0' COMMENT '支付状态 0 等待支付 1支付成功 2订单关闭',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=42 DEFAULT CHARSET=utf8 COMMENT='订单记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_order`
--

LOCK TABLES `sk_order` WRITE;
/*!40000 ALTER TABLE `sk_order` DISABLE KEYS */;
/*!40000 ALTER TABLE `sk_order` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_policys`
--

DROP TABLE IF EXISTS `sk_policys`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_policys` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(120) DEFAULT NULL COMMENT '上传策略名称',
  `type` varchar(60) NOT NULL DEFAULT '' COMMENT '上传策略类型',
  `filetype` text COMMENT '允许上传的类型',
  `max_size` bigint(20) NOT NULL DEFAULT '0' COMMENT '单文件最大大小',
  `config` text COMMENT '配置信息',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8 COMMENT='储存策略';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_policys`
--

LOCK TABLES `sk_policys` WRITE;
/*!40000 ALTER TABLE `sk_policys` DISABLE KEYS */;
INSERT INTO `sk_policys` VALUES (1,'默认存储','local','jpg,apk,code,excel,exe,fonts.img,ipa,ipa,links,music,ppt,ps,text,unknown,video,word,zip,rar,tar.gz,folder,png',2097152,'{\"save_dir\":\"\\/uploads\\/\"}'),(3,'远程服务器一','remote','',1073741824,'{\"save_dir\":\"\\/upload\\/\",\"access_token\":\"SSq2reS4agz0Je7qdQ3tyrjaXiawTtvO6\",\"server_uri\":\"https:\\/\\/vip.yidaotang.vip\\/\"}'),(4,'阿里云(请勿修改)','aliyunoss','apk,code,excel,exe,fonts.img,ipa,ipa,links,music,ppt,ps,text,unknown,video,word,zip.rar,tar.gz,folder.png',0,'{\"save_dir\":\"\\/uploads\\/\",\"endpoint\":\"oss-cn-beijing.aliyuncs.com\",\"bucket\":\"gsyp\",\"access_key\":\"LTAI5tQ1ctsoPyLR2wUNnQGs\",\"access_secret\":\"AK0m6wtg0XuoLCwiTUVyE3DpxdUVJD\"}'),(5,'腾讯云','txyunoss','apk,code,excel,exe,fonts.img,ipa,ipa,links,music,ppt,ps,text,unknown,video,word,zip.rar,tar.gz,folder.png',0,'{\"save_dir\":\"\\/uploads\\/\",\"secret_id\":\"AKIDnRowoOhkW0D9pDKAj12lEQLyKQFm21j9\",\"secret_key\":\"A4g15rMaXDckcFbgU1HFwMVMwEFzSeaF\",\"bucket\":\"apcms-1307163100\",\"region\":\"ap-nanjing\"}'),(6,'远程服务器二','remote','',0,'{\"save_dir\":\"chunks\",\"access_token\":\"SSq2reS4agz0Je7qdQ3tyrjaXiawTtvO6\",\"server_uri\":\"https:\\/\\/vip2.yidaotang.vip\\/\"}');
/*!40000 ALTER TABLE `sk_policys` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_profit`
--

DROP TABLE IF EXISTS `sk_profit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_profit` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `file_id` int(11) NOT NULL DEFAULT '0' COMMENT '文件ID',
  `count_view` int(11) NOT NULL DEFAULT '0' COMMENT '浏览量',
  `count_down` int(11) NOT NULL DEFAULT '0' COMMENT '下载量',
  `count_reg` int(11) NOT NULL DEFAULT '0' COMMENT '注册量',
  `count_order` int(11) NOT NULL DEFAULT '0' COMMENT '总订单',
  `count_order_yes` int(11) NOT NULL DEFAULT '0' COMMENT '成功订单',
  `count_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '金额',
  `count_profit` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '收益',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=66 DEFAULT CHARSET=utf8 COMMENT='收益记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_profit`
--

LOCK TABLES `sk_profit` WRITE;
/*!40000 ALTER TABLE `sk_profit` DISABLE KEYS */;
INSERT INTO `sk_profit` VALUES (64,20,241,2,0,0,0,0,0.00,0.00,1685752702),(61,18,238,3,0,0,0,0,0.00,0.00,1675176979),(62,19,239,2,0,0,0,0,0.00,0.00,1675259925),(63,18,240,1,1,0,0,0,0.00,0.00,1678703852),(65,20,242,3,0,0,0,0,0.00,0.00,1735895164);
/*!40000 ALTER TABLE `sk_profit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_record`
--

DROP TABLE IF EXISTS `sk_record`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_record` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT '0',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0 增加 1减少',
  `source` varchar(60) DEFAULT NULL COMMENT '来源',
  `money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '变更金额',
  `after_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '变更前',
  `before_money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '变更后金额',
  `remark` varchar(255) DEFAULT NULL COMMENT '操作原因',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='财务记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_record`
--

LOCK TABLES `sk_record` WRITE;
/*!40000 ALTER TABLE `sk_record` DISABLE KEYS */;
/*!40000 ALTER TABLE `sk_record` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_reports`
--

DROP TABLE IF EXISTS `sk_reports`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_reports` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `shares_id` int(11) NOT NULL DEFAULT '0' COMMENT '资源ID',
  `source_name` varchar(255) DEFAULT NULL COMMENT '文件名',
  `source_url` varchar(255) NOT NULL DEFAULT '' COMMENT '链接地址',
  `source_uid` int(11) NOT NULL DEFAULT '0' COMMENT '所属用户UID',
  `source_username` varchar(60) NOT NULL DEFAULT '' COMMENT '所属用户帐号',
  `source_type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0 文件 1目录',
  `type` varchar(10) NOT NULL DEFAULT '' COMMENT '举报类型',
  `contact` varchar(255) NOT NULL DEFAULT '' COMMENT '联系方式',
  `content` text COMMENT '详细描述',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '举报时间',
  `real_ip` varchar(32) DEFAULT NULL COMMENT '举报IP',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '举报处理',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='文件举报';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_reports`
--

LOCK TABLES `sk_reports` WRITE;
/*!40000 ALTER TABLE `sk_reports` DISABLE KEYS */;
/*!40000 ALTER TABLE `sk_reports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_setting`
--

DROP TABLE IF EXISTS `sk_setting`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_setting` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `set_name` varchar(255) DEFAULT NULL COMMENT '配置名称',
  `set_value` text NOT NULL COMMENT '配置值',
  `set_type` varchar(60) NOT NULL DEFAULT '' COMMENT '配置类型',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=84 DEFAULT CHARSET=utf8 COMMENT='系统配置表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_setting`
--

LOCK TABLES `sk_setting` WRITE;
/*!40000 ALTER TABLE `sk_setting` DISABLE KEYS */;
INSERT INTO `sk_setting` VALUES (1,'site_name','分享赚钱让资源变得有价值- ','basic'),(2,'site_keywords','网络云盘,网赚网盘,云存储,分成网盘, ','basic'),(3,'site_desc','企业猫源码是一款速度快、不打扰、够安全、易于分享的网络云盘，提供了分享下载分成功能，分享赚钱，让资源变的有收益有价值！','basic'),(4,'site_head','','basic'),(5,'site_foot','','basic'),(6,'allow_register','1','register'),(7,'login_captcha','1','register'),(8,'default_group','3','register'),(9,'register_captcha','1','register'),(10,'forget_captcha','0','register'),(11,'site_title','企业猫源码','basic'),(12,'site_logo','/assets/logo/logo.png','basic'),(13,'api_gateway','https://www.bori99.com/submit.php','pay'),(14,'api_pid','1000','pay'),(15,'api_type','wxpay,alipay','pay'),(16,'api_key','abc','pay'),(17,'vip_group','4','vip'),(18,'vip_rule','一天VIP|9|1|天|7.0|立省 11元 原价20元|高速多线程下载文件，无优惠。|1\n月付VIP|15|30|月|6.3|立省175元 仅 1.33元/月|高速多线程下载文件，比周付省11%。|0\n半年VIP|35|180|半年|5.2|立省165元 仅 5.83元/月|高速多线程下载文件，比月付省55%。|1\n一年VIP|50|360|年|4.7|立省420元 原价450元|高速多线程下载文件，比月付省50%。|0\n永久VIP|69|9999|永久|2.7|立省741元 原价800元|高速多线程下载文件，比年付省96%。|1','vip'),(19,'site_email','www.qymao.cn','basic'),(20,'smtp_host','smtp.163.com','email'),(21,'smtp_port','465','email'),(22,'nickname',' ','email'),(23,'username','wxruea@163.com ','email'),(24,'password','KLPOMEYWOZQWOBZN','email'),(25,'template_forget','<p>&nbsp;</p>\n<table class=\"body-wrap\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; width: 100%; background-color: #f6f6f6; margin: 0;\" bgcolor=\"#f6f6f6\">\n<tbody>\n<tr style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\">\n<td style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; vertical-align: top; margin: 0;\" valign=\"top\">&nbsp;</td>\n<td class=\"container\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; vertical-align: top; display: block !important; max-width: 600px !important; clear: both !important; margin: 0 auto;\" valign=\"top\" width=\"600\">\n<div class=\"content\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; max-width: 600px; display: block; margin: 0 auto; padding: 20px;\">\n<table class=\"main\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; border-radius: 3px; background-color: #fff; margin: 0; border: 1px solid #e9e9e9;\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\" bgcolor=\"#fff\">\n<tbody>\n<tr style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\">\n<td class=\"alert alert-warning\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 16px; vertical-align: top; color: #fff; font-weight: 500; text-align: center; border-radius: 3px 3px 0 0; background-color: #2196f3; margin: 0; padding: 20px;\" align=\"center\" valign=\"top\" bgcolor=\"#FF9F00\">找回密码验证 -【{site_title}】</td>\n</tr>\n<tr style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\">\n<td class=\"content-wrap\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; vertical-align: top; margin: 0; padding: 20px;\" valign=\"top\">\n<table style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">\n<tbody>\n<tr style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\">\n<td class=\"content-block\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; vertical-align: top; margin: 0; padding: 0 0 20px;\" valign=\"top\">亲爱的 <strong style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\"> {username} </strong> ：</td>\n</tr>\n<tr style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\">\n<td class=\"content-block\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; vertical-align: top; margin: 0; padding: 0 0 20px;\" valign=\"top\">请点击下方按钮完成密码重设。十分钟之内有效，如果非你本人操作，请忽略此邮件。</td>\n</tr>\n<tr style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\">\n<td class=\"content-block\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; vertical-align: top; margin: 0; padding: 20px 20px 50px 20px; text-align: center;\" valign=\"top\"><a class=\"btn-primary\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; color: #fff; font-weight: bolder; letter-spacing: 2px; text-decoration: none; height: 45px; line-height: 45px; padding: 0 15px; text-align: center; cursor: pointer; display: inline-block; border-radius: 5px; text-transform: capitalize; background-color: #2196f3; margin: 0;\" href=\"{url}\"> 点击设置新密码 </a></td>\n</tr>\n<tr style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\">\n<td class=\"content-block\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; vertical-align: top; margin: 0; padding: 0 0 20px;\" valign=\"top\">感谢您选择<strong>{site_title}</strong>。</td>\n</tr>\n</tbody>\n</table>\n</td>\n</tr>\n</tbody>\n</table>\n<div class=\"footer\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; width: 100%; clear: both; color: #999; margin: 0; padding: 20px;\">\n<table style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\" width=\"100%\">\n<tbody>\n<tr style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; margin: 0;\">\n<td class=\"aligncenter content-block\" style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 12px; vertical-align: top; color: #999; text-align: center; margin: 0; padding: 0 0 20px;\" align=\"center\" valign=\"top\">此邮件由系统自动发送，请不要直接回复。</td>\n</tr>\n</tbody>\n</table>\n<br /><br /></div>\n</div>\n</td>\n<td style=\"font-family: \'Helvetica Neue\',Helvetica,Arial,sans-serif; box-sizing: border-box; font-size: 14px; vertical-align: top; margin: 0;\" valign=\"top\">&nbsp;</td>\n</tr>\n</tbody>\n</table>','email'),(26,'site_kefu','微信公众号:企业猫源码 <span style=\'color:red;font-size:15px\'> </span><br/><br/>在线时间早上9点-晚上22点<br/><br/>如遇到任何问题请联系客服处理<br/><br/>对此给您带来的不便深感抱歉','basic'),(27,'vip_profit','20','vip'),(28,'index_theme','default','basic'),(29,'pay_type','0','pay'),(30,'login_weixin','0','register'),(31,'weixin_appid','wx18c0c9a48502da05','pay'),(32,'weixin_appsecret','e01c54a045341d9363a764477a5cbe9c','pay'),(33,'weixin_mchid','1608446132','pay'),(34,'weixin_key','1234567890qwertyuiopASDFGHJKLzxc','pay'),(35,'alipay_email','17607930447','pay'),(36,'alipay_parterid','2088422867916643','pay'),(37,'alipay_key','cuvlo79v63obw4pl6i9ttq4rd736btpj','pay'),(38,'wx_appid','wx2521c9cb82994089','register'),(39,'wx_secret','4f89b8a9221a2910af0369ad902c57d7','register'),(40,'wx_token','123456','register'),(80,'site_zydb','客服微信:  ','basic'),(81,'site_beian','www.qymao.cn','basic'),(83,'site_tel','已停用','basic');
/*!40000 ALTER TABLE `sk_setting` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_shares`
--

DROP TABLE IF EXISTS `sk_shares`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_shares` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '用户ID',
  `source_id` int(11) NOT NULL DEFAULT '0' COMMENT '文件 / 目录ID',
  `type` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0 文件 1目录',
  `speed` tinyint(1) NOT NULL DEFAULT '0' COMMENT '限速开关',
  `code` varchar(20) NOT NULL DEFAULT '' COMMENT '短网址代码',
  `pwd` varchar(8) DEFAULT NULL COMMENT '分享密码',
  `pwd_status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '密码状态',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=255 DEFAULT CHARSET=utf8 COMMENT='分享表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_shares`
--

LOCK TABLES `sk_shares` WRITE;
/*!40000 ALTER TABLE `sk_shares` DISABLE KEYS */;
INSERT INTO `sk_shares` VALUES (1,2,1,0,0,'ZFbyUr9USt','Ovfk',0),(2,2,2,0,0,'bimU7zETkM','y2FI',0),(3,2,3,0,0,'qIjuYvZVkS','lUnL',0),(4,2,4,0,0,'2eIryepveA','ElGR',0),(5,2,5,0,0,'mEvqI3XGcf','zo6I',0),(6,2,6,0,0,'EryIFjDG0T','xRju',0),(7,2,7,0,0,'reQJZfEu1v','lmdn',0),(8,2,8,0,0,'BNfIfaOSPB','ywJM',0),(9,2,9,0,0,'fEza2qdKUX','vmMQ',0),(10,2,10,0,0,'biYRFf2rZn','v28l',0),(11,2,11,0,0,'yINbmiJ9yr','cgOX',0),(12,2,12,0,0,'JbeINfrj7s','g9s2',0),(13,2,13,0,0,'uE77VbPZeE','ArPV',0),(14,2,14,0,0,'vaQFfyq5pH','6khR',0),(15,2,15,0,0,'6ZbEjiaPjc','U16z',0),(16,2,16,0,0,'ERvQNb0EAM','0uCt',0),(17,2,17,0,0,'jqYnQbdBWl','7c9R',0),(18,2,18,0,0,'M3A7RroSIE','lFkS',0),(19,2,19,0,0,'mm2UBbcANf','Ocey',0),(20,2,20,0,0,'bMVnaa26Lr','4otS',0),(21,2,21,0,0,'JfMFvymVoj','xDMV',0),(22,2,22,0,0,'nUZVb2GfU6','tZ4B',0),(23,2,23,0,0,'3QB3M3Kva7','dIPk',0),(24,2,24,0,0,'q6jYBjsZWA','HPe6',0),(25,2,25,0,0,'VvyyM3ODRm','Sz6Z',0),(26,2,26,0,0,'AfAFVfweBb','aHFs',0),(27,2,27,0,0,'fQbUFf3Dqn','UGRO',0),(28,2,28,0,0,'BrABfqPZc1','JfWp',0),(29,2,29,0,0,'uuQJ3i0IcU','dWDE',0),(30,2,30,0,0,'z6nmqmTALC','PtxP',0),(31,2,31,0,0,'V7v6J36RBF','zz68',0),(32,2,32,0,0,'7b2qqq9UHk','8UHi',0),(33,2,33,0,0,'F7J3IrhacH','inj6',0),(34,2,34,0,0,'Y3UVb2EmSv','18NO',0),(35,2,35,0,0,'vAvURbpK63','ORao',0),(36,2,36,0,0,'3aqaamtXje','lxeS',0),(37,2,37,0,0,'AfQruuZ02x','m4VQ',0),(38,2,38,0,0,'qaQrmehUTE','Z2MK',0),(39,2,39,0,0,'BZ7jqe2Pem','nDjK',0),(40,2,40,0,0,'YnUnimVEa8','mEGB',0),(41,2,41,0,0,'f2aueuufWK','RHK5',0),(42,2,42,0,0,'nQ36J3sYFw','ZgUo',0),(43,2,43,0,0,'jyMZrekP8o','dWv1',0),(44,2,44,0,0,'3m6BBrnoak','GLw5',0),(45,2,45,0,0,'aU7r2u3h1K','9XQ9',0),(46,2,46,0,0,'vQBr6rLMBu','ZIgt',0),(47,2,47,0,0,'jyQZjm5uXR','mAJ4',0),(48,2,48,0,0,'e6jQB3Yp2X','o8dN',0),(49,2,49,0,0,'7vYRjqE7zt','PZti',0),(50,2,50,0,0,'7Brmiq8PKB','AuiS',0),(51,2,51,0,0,'ZveABnHdUg','Xcew',0),(52,2,52,0,0,'VzQ36bGdx5','8Gv2',0),(53,2,53,0,0,'AJ7j2azuYe','E8fG',0),(54,2,54,0,0,'AviEV3BJ2L','tQiM',0),(55,2,55,0,0,'7bANNnGski','OYiK',0),(56,2,56,0,0,'rAF7V33xOh','jA1i',0),(57,2,57,0,0,'MjymimixOH','DINo',0),(58,2,58,0,0,'IbI32yZUiR','Xjhk',0),(59,2,59,0,0,'JNvUNzOZby','lTkw',0),(60,2,60,0,0,'qUrARvDJtS','bY9N',0),(61,2,61,0,0,'miUFVrQd9B','k1iZ',0),(62,2,62,0,0,'QbEN3iabUb','EQIf',0),(63,2,63,0,0,'YJvQRzS0tj','LTz0',0),(64,2,64,0,0,'6rIriabMDJ','xdkk',0),(65,2,65,0,0,'FvQFjyCWwS','Z88J',0),(66,2,66,0,0,'ZfUJJjUI0a','QdqN',0),(67,2,67,0,0,'vIvQb2l976','aivI',0),(68,2,68,0,0,'umeIjmXRgk','Bryk',0),(69,2,69,0,0,'Bn6Rne5fBP','jHiF',0),(70,2,70,0,0,'rQN7vyea3V','bL6C',0),(71,2,71,0,0,'EfEVfePKSL','8T5C',0),(72,2,72,0,0,'rY3qQrrFEf','Unp5',0),(73,2,73,0,0,'6Jvai2DfQf','Qv9c',0),(74,2,74,0,0,'IfmIVvzOFG','7iSc',0),(75,2,75,0,0,'7z2Mni8eHC','4AfE',0),(76,2,76,0,0,'7ZzIRfAu1O','CVpo',0),(77,2,77,0,0,'juEVz2uaFj','0Vl1',0),(78,2,78,0,0,'nAnQzyhgEa','9CZa',0),(79,2,79,0,0,'2eAFRnYb1x','4D50',0),(80,2,80,0,0,'fIbMfmeOUD','SKWi',0),(81,2,81,0,0,'fIJ3qadUvE','FNQq',0),(82,2,82,0,0,'AJreIbjngR','yXjK',0),(83,2,83,0,0,'7FBv6riQXn','CcsA',0),(84,2,84,0,0,'NjmU3eXLIi','vySG',0),(85,2,85,0,0,'NBjqy25dNB','vyUZ',0),(86,2,86,0,0,'VFZfEnZVJ9','oFG8',0),(87,2,87,0,0,'VNvA73F9Kg','gnmn',0),(88,2,88,0,0,'qUnIR3YdUW','kCJ0',0),(89,2,89,0,0,'RzqUFzK7av','DSpQ',0),(90,2,90,0,0,'ARZNjqb24X','NfCn',0),(91,2,91,0,0,'NVnaEfShP4','VkdM',0),(92,2,92,0,0,'ZFZZZnDoQR','gkq8',0),(93,2,93,0,0,'JVVNve9pCM','mrZ5',0),(94,2,94,0,0,'BBnUVnvnLj','qphE',0),(95,2,95,0,0,'qauEVjYRlU','9Q22',0),(96,2,96,0,0,'aUjYNjWMld','DWop',0),(97,2,97,0,0,'ae2YFryxQ5','FJto',0),(98,2,98,0,0,'mYrq6bPURN','RAbK',0),(99,2,99,0,0,'qYzaiiDFWh','9MoU',0),(100,2,100,0,0,'Q3yeIraIxm','Y4tb',0),(101,2,101,0,0,'3IjeYz0hXW','qhCY',0),(102,2,102,0,0,'nMFBfuKAUg','RT6a',0),(103,2,103,0,0,'ze6NZbylvV','SiXD',0),(104,2,104,0,0,'6BVfeyLjDp','9azp',0),(105,2,105,0,0,'EFfq63sgjH','cUS3',0),(106,2,106,0,0,'aya2Mn3D6G','fJgx',0),(107,2,107,0,0,'JrAnqaVddt','x8dS',0),(108,2,108,0,0,'Qbi6FjyNvN','9cjN',0),(109,2,109,0,0,'q2y2q2MAi1','GVkb',0),(110,2,110,0,0,'bMvu2ynJGj','zJv1',0),(111,2,111,0,0,'73mQnqAzUv','xT70',0),(112,2,112,0,0,'fEZZBbqqsw','5oQz',0),(113,2,113,0,0,'Yv6NZnJSv9','NXLX',0),(114,2,114,0,0,'umEvYjyTeC','vdIo',0),(115,2,115,0,0,'ayqQ7fbxYQ','luSE',0),(116,2,116,0,0,'nuuqA3pAoP','iY5V',0),(117,2,117,0,0,'mUbUz2v1RE','K647',0),(118,2,118,0,0,'vMJnm27H7w','wevj',0),(119,2,119,0,0,'YbYfiaIReF','Joui',0),(120,2,120,0,0,'Z36nQb86V0','iv5u',0),(121,2,121,0,0,'fMrE3inVb8','0COW',0),(122,2,2,1,0,'eeAbyiw1Yd','SA31',0),(123,2,3,1,0,'aIVNnmnJxp','wkLw',0),(124,2,4,1,0,'rqQNRbhU2A','Qkfm',0),(125,2,5,1,0,'jq22yijjlK','yaQT',0),(126,2,6,1,0,'Zfa6VjAhQC','H1Pf',0),(127,2,7,1,0,'uu6r6j7SW2','fhR5',0),(128,2,8,1,0,'67rAB3AXjY','9Vwb',0),(129,2,9,1,0,'feIrInFE7g','OpPL',0),(130,2,10,1,0,'JNNjuqtsKv','hSqL',0),(131,2,11,1,0,'aQbqqaqpNq','PvP6',0),(132,2,12,1,0,'2MrQbm3FjY','DCAe',0),(133,2,13,1,0,'yQfQB3g2gT','mWCc',0),(134,5,122,0,0,'zquiEjbmun','pBz6',0),(135,2,123,0,0,'FfQz6vBp4T','KJrD',0),(136,2,124,0,0,'IJ3eQzvsHt','VNsd',0),(137,2,125,0,0,'i2uyQbVcIv','G6B7',0),(138,2,126,0,0,'Y3yQ7bjmKY','GxgR',0),(139,2,127,0,0,'7BZbYvjirJ','ltcB',0),(140,2,128,0,0,'vyIVBzFfWs','2p3M',0),(141,2,129,0,0,'uamENjc4Uo','C4br',0),(142,2,130,0,0,'2EFVZjppN8','3YsB',0),(143,2,131,0,0,'Er6NJjRZxo','MJMs',0),(144,2,132,0,0,'V3e2Ibqaye','vxjO',0),(145,2,133,0,0,'MryMz2s8tb','GRlI',0),(146,2,134,0,0,'NFF73u7GAB','lQqY',0),(147,2,135,0,0,'bA3qYnDSOw','dbsA',0),(148,2,136,0,0,'amEFvqoTty','u067',0),(149,2,137,0,0,'A3Q36zv030','G4Nf',0),(150,2,138,0,0,'EBBFBnqwMN','EpOC',0),(151,2,139,0,0,'7vAVNnL3Cc','Ry1x',0),(152,2,140,0,0,'7veABvZcL3','WEZX',0),(153,2,141,0,0,'I3iiua7OVw','clhS',0),(154,2,142,0,0,'7RvQJv4y2m','WQbX',0),(155,2,143,0,0,'NBNrymGF80','X3TQ',0),(156,2,144,0,0,'ryaei2LwKm','xdiK',0),(157,2,145,0,0,'jieeUj5E1B','PBFn',0),(158,2,146,0,0,'Y36biqEmRh','pH46',0),(159,2,147,0,0,'zIbmierZHq','Aht0',0),(160,2,148,0,0,'qYjEBjVuAG','BI9n',0),(161,2,149,0,0,'6VJJ3uMhK3','0CvX',0),(162,2,150,0,0,'nUJ3IrCpUT','xS6X',0),(163,2,151,0,0,'v6fqmiyyGs','xM6n',0),(164,2,152,0,0,'7JnayaPDkx','zQcu',0),(165,2,153,0,0,'ZFzQbydVWk','KGtr',0),(166,2,154,0,0,'Bb6rYfkdit','U3iF',0),(167,2,155,0,0,'jaMJju38Jr','CX2w',0),(168,2,156,0,0,'Yfqi6zYAUA','O0x2',0),(169,2,157,0,0,'mENri2PnKm','YFcE',0),(170,2,158,0,0,'6ZJJrmJIAz','lmAG',0),(171,2,159,0,0,'eUzIVnPUsD','cTGG',0),(172,2,160,0,0,'fyeaIbeKAC','a8Av',0),(173,2,161,0,0,'mM7R7vgMWs','34yn',0),(174,2,162,0,0,'viaiyyzyQB','o54w',0),(175,2,163,0,0,'um22ErlInm','N9yd',0),(176,2,164,0,0,'EZF7JjjnpB','JzhN',0),(177,2,165,0,0,'V3muy2A7su','lKCN',0),(178,2,166,0,0,'NfeEVrHnCl','anLj',0),(179,2,167,0,0,'MneUvypl8o','VUtX',0),(180,2,168,0,0,'mYnUVnms50','ImiF',0),(181,2,169,0,0,'uiQry2ciEJ','SBpD',0),(182,2,170,0,0,'aEFze2z0Pn','ahhZ',0),(183,2,171,0,0,'iaIRJ34aFv','dRBi',0),(184,2,172,0,0,'JjamqaaP1o','ZRY1',0),(185,2,173,0,0,'363ueapagm','TuFA',0),(186,2,174,0,0,'JVrmiei4MG','YzwP',0),(187,2,175,0,0,'buqI3iN9uJ','LbGb',0),(188,2,176,0,0,'qM7zmyBXuk','q9ZC',0),(189,2,177,0,0,'VrYfQfcNDo','hM2Y',0),(190,2,178,0,0,'nInIZbm9Xw','AzE7',0),(191,2,179,0,0,'aaMrAnZqYa','6Fkg',0),(192,2,180,0,0,'nQRrEf2CC1','xSgx',0),(193,2,181,0,0,'meuY3atkg3','Voec',0),(194,2,182,0,0,'I3yYj2PcPa','77Tl',0),(195,2,183,0,0,'bUVJby7Cpf','MCAa',0),(196,2,184,0,0,'EVvAZrQGXh','5R0Q',0),(197,2,185,0,0,'aa2myijRVA','atFQ',0),(198,2,186,0,0,'feuEFrA7FD','uiud',0),(199,2,187,0,0,'fUfINfuTSc','6DN3',0),(200,2,188,0,0,'aeimU33wIg','4GKm',0),(201,2,189,0,0,'e63Q7b47AE','7jsw',0),(202,2,190,0,0,'mYZFjaVWtm','9bga',0),(203,2,191,0,0,'UrYVNjxlrD','nIKi',0),(204,2,192,0,0,'fI3YJnXA9Q','JKDR',0),(205,2,193,0,0,'NjmiIr4VSa','JYiC',0),(206,2,194,0,0,'BraiQfVTQN','nrlu',0),(207,2,195,0,0,'VVZfMj3XPi','UYmQ',0),(208,2,196,0,0,'fuqumuoURC','fgn7',0),(209,2,197,0,0,'IF7RrmTr3V','kGL7',0),(210,2,198,0,0,'bu6FNrPdnD','YNtu',0),(211,2,199,0,0,'Z7ZBNrFW0Q','5vre',0),(212,2,200,0,0,'AbIrIjlSpg','D1XU',0),(213,2,201,0,0,'z6RnQ35k5v','8HwV',0),(214,2,202,0,0,'YvmeIf6X9b','CaT9',0),(215,2,203,0,0,'mQZJB3AVZy','z15t',0),(216,2,204,0,0,'uaiQBfIfy8','6Mj1',0),(217,2,205,0,0,'ZfmIr24JqL','Dv58',0),(218,2,206,0,0,'6zqUry2tpN','KcxV',0),(219,2,207,0,0,'AZBJfuLZQM','4o5l',0),(220,2,208,0,0,'YRRrye8rR4','HF9u',0),(221,2,209,0,0,'fQjyMvgy2y','pAZq',0),(222,2,210,0,0,'7baiMjgA0e','YRbX',0),(223,2,211,0,0,'F3mUzm9phw','Vl29',0),(224,2,212,0,0,'myARV3nOW6','Rmfz',0),(225,2,213,0,0,'FbeemuEqtg','wS5i',0),(226,2,214,0,0,'eIRz2eYOnd','4Fe8',0),(227,2,215,0,0,'AFbQFnl4tT','GyC7',0),(228,2,216,0,0,'nYf67rXgNz','geK3',0),(229,2,217,0,0,'3QBfMfU61a','Vnsw',0),(230,2,218,0,0,'EZbUV3JpNw','88u1',0),(231,2,219,0,0,'byMZRnW3t1','Ia4e',0),(232,2,220,0,0,'UbQJZzEFqL','xCGb',0),(233,2,221,0,0,'BfqIFvhkTQ','mHny',0),(234,2,222,0,0,'bIZRridpKo','At2M',0),(235,2,223,0,0,'NBzemyY1I3','OJUZ',0),(236,2,224,0,0,'u2uqautLTd','LVA5',0),(237,2,225,0,0,'INRFZziBoq','AXOP',0),(238,2,226,0,0,'fI3YfaOKOG','BrWq',0),(239,2,227,0,0,'AzquiyOpEL','Fg00',0),(240,2,228,0,0,'uMvaUfGloh','cu1e',0),(241,2,229,0,0,'jqyQzqtzst','lhBp',0),(242,2,230,0,0,'jqqERfB0pG','4sjb',0),(243,2,231,0,0,'eqQJzad3V1','NA0I',0),(244,2,232,0,0,'MJRBVrV5sn','R0ou',0),(245,2,233,0,0,'MjaAVzdSZv','4R7y',0),(246,2,234,0,0,'7raYB3NmRW','8Upx',0),(247,11,235,0,0,'N77rAnYSNG','hSvS',0),(248,12,236,0,0,'7buU3muzL0','5ph7',0),(249,13,237,0,0,'Qf63iyk0XX','Ozwy',0),(250,18,238,0,0,'','mrOU',0),(251,19,239,0,0,'ErimIzKQSP','1EUT',0),(252,18,240,0,0,'2YnayuRGaC','Y0ok',0),(253,20,241,0,0,'7VjUJzg0BK','OFOy',0),(254,20,242,0,0,'Jne22yomEk','Jtyf',0);
/*!40000 ALTER TABLE `sk_shares` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_stores`
--

DROP TABLE IF EXISTS `sk_stores`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_stores` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '所属用户',
  `shares_id` int(11) NOT NULL DEFAULT '0' COMMENT '分享id',
  `origin_name` varchar(255) NOT NULL DEFAULT '' COMMENT '源文件名',
  `file_name` text NOT NULL COMMENT '存储文件名',
  `size` bigint(20) NOT NULL DEFAULT '0' COMMENT '文件大小',
  `meta` text NOT NULL COMMENT '文件元属性',
  `mime_type` varchar(60) NOT NULL DEFAULT '' COMMENT '文件类型',
  `ext` varchar(60) NOT NULL DEFAULT '' COMMENT '文件后缀',
  `parent_folder` int(11) NOT NULL DEFAULT '0' COMMENT '所属目录',
  `policy_id` int(11) NOT NULL DEFAULT '0' COMMENT '存储策略',
  `count_down` int(11) NOT NULL DEFAULT '0' COMMENT '下载量',
  `count_open` int(11) NOT NULL DEFAULT '0' COMMENT '浏览量',
  `dir` text NOT NULL COMMENT '文件目录',
  `desc` text COMMENT '文件描述',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '创建时间',
  `update_time` int(11) NOT NULL DEFAULT '0' COMMENT '更新时间',
  `delete_time` int(11) DEFAULT NULL COMMENT '软删除',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=243 DEFAULT CHARSET=utf8 COMMENT='储存文件';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_stores`
--

LOCK TABLES `sk_stores` WRITE;
/*!40000 ALTER TABLE `sk_stores` DISABLE KEYS */;
INSERT INTO `sk_stores` VALUES (241,20,253,'logo.png','/uploads/20230603/20/file_647a8b6f0d8281685752687.png',17072,'','','png',31,1,0,2,'',NULL,1685752687,1724900003,1724900003),(238,18,250,'1234','/uploads/20230131/18/file_63d92c09cc50e1675176969.png',15452,'','','png',29,1,0,3,'','',1675176969,1685751481,1685751481),(239,19,251,'uugai.com-1629566763288.png','/uploads/20230201/19/file_63da700a0cb451675259914.png',15452,'','','png',30,1,0,2,'',NULL,1675259914,1685751481,1685751481),(240,18,252,'forchange.zip','/uploads/20230313/18/file_640efcd3aa1ba1678703827.zip',751,'','','zip',29,1,1,1,'',NULL,1678703827,1685751481,1685751481),(242,20,254,'微信图片_20241228154516.jpg','/uploads/20250103/20/file_6777a8753ddbb1735895157.jpg',17140,'','','jpg',31,1,0,3,'',NULL,1735895157,1735895157,NULL);
/*!40000 ALTER TABLE `sk_stores` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_users`
--

DROP TABLE IF EXISTS `sk_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(60) NOT NULL DEFAULT '' COMMENT '用户名',
  `nickname` varchar(60) DEFAULT NULL COMMENT '用户昵称',
  `email` varchar(100) NOT NULL DEFAULT '' COMMENT '邮箱账号',
  `password` varchar(40) NOT NULL DEFAULT '' COMMENT '密码',
  `avatar` text COMMENT '用户头像',
  `desc` varchar(255) DEFAULT NULL COMMENT '个性签名',
  `amount` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '用户余额',
  `group` int(11) NOT NULL DEFAULT '0' COMMENT '用户组',
  `group_expire` int(11) NOT NULL DEFAULT '0' COMMENT '用户组过期时间',
  `is_auth` tinyint(3) NOT NULL DEFAULT '0' COMMENT '是否实名认证',
  `wx_openid` varchar(64) DEFAULT NULL COMMENT '微信开放平台ID',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '注册时间',
  `login_time` int(11) NOT NULL DEFAULT '0' COMMENT '最近登录时间',
  `login_real_ip` varchar(60) NOT NULL DEFAULT '',
  `status` tinyint(2) NOT NULL DEFAULT '1' COMMENT '用户状态 1 正常 0封禁',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=22 DEFAULT CHARSET=utf8 COMMENT='用户表';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_users`
--

LOCK TABLES `sk_users` WRITE;
/*!40000 ALTER TABLE `sk_users` DISABLE KEYS */;
INSERT INTO `sk_users` VALUES (1,'admin','管理员','www@bori99.com','f890f825c0d6aae83005c731fc2c4892',NULL,NULL,10.00,1,1658332800,0,NULL,1631009197,1741591194,'192.168.253.137',1),(20,'123456','123456','123456@qq.com','f890f825c0d6aae83005c731fc2c4892',NULL,NULL,0.00,3,1735833600,0,NULL,1685751315,1735895384,'116.162.93.81',1),(21,'qymaocn','企业猫','1234567@qq.com','d6c74a5fc43164c9be0fde4653251a2c',NULL,NULL,0.00,3,0,0,NULL,1741619464,1741619470,'192.168.253.137',1);
/*!40000 ALTER TABLE `sk_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sk_withdraw`
--

DROP TABLE IF EXISTS `sk_withdraw`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sk_withdraw` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT '0' COMMENT '提现用户',
  `money` decimal(10,2) NOT NULL DEFAULT '0.00' COMMENT '提现金额',
  `alipay_account` varchar(255) DEFAULT NULL COMMENT '支付宝帐号',
  `alipay_name` varchar(60) DEFAULT NULL COMMENT '支付宝姓名',
  `create_time` int(11) NOT NULL DEFAULT '0' COMMENT '提现时间',
  `status` tinyint(1) NOT NULL DEFAULT '0' COMMENT '提现状态 0 等待处理 1提现成功',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='用户提现记录';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sk_withdraw`
--

LOCK TABLES `sk_withdraw` WRITE;
/*!40000 ALTER TABLE `sk_withdraw` DISABLE KEYS */;
/*!40000 ALTER TABLE `sk_withdraw` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `system`
--

DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `system` (
  `id` int(11) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `code` varchar(255) DEFAULT NULL,
  `value` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `system`
--

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `memo` varchar(255) DEFAULT NULL COMMENT '备注',
  `del` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user`
--

LOCK TABLES `user` WRITE;
/*!40000 ALTER TABLE `user` DISABLE KEYS */;
/*!40000 ALTER TABLE `user` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping events for database '15_71jc_cn'
--

--
-- Dumping routines for database '15_71jc_cn'
--
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2025-03-10 23:40:09
